Post v1sub client - Terminal 3 Documentation

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

cURL Example

curl --request POST \
  --url https://staging.terminal3.io/v1/sub_client \
  --header 'Content-Type: application/json' \
  --header 'x-api-token: <x-api-token>' \
  --data '\
{
  "name": "<string>",
  "address_1": "<string>",
  "address_2": "<string>",
  "country": "<string>",
  "province": "<string>",
  "city": "<string>",
  "timezone": "<string>",
  "domain": "<string>",
  "subdomain": "<string>"
}
'```

### Python Example

import requests

url = "https://staging.terminal3.io/v1/sub_client"

payload = { "name": "", "address_1": "", "address_2": "", "country": "", "province": "", "city": "", "timezone": "", "domain": "", "subdomain": "" } headers = { "x-api-token": "", "Content-Type": "application/json" }

response = requests.post(url, json=payload, headers=headers)

print(response.text)


### JavaScript Fetch API Example

const options = { method: 'POST', headers: {'x-api-token': '', 'Content-Type': 'application/json'}, body: JSON.stringify({ name: '', address_1: '', address_2: '', country: '', province: '', city: '', timezone: '', domain: '', subdomain: '' }) };

fetch('https://staging.terminal3.io/v1/sub_client', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));


### PHP Example
"https://staging.terminal3.io/v1/sub_client", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => json_encode([ 'name' => '', 'address_1' => '', 'address_2' => '', 'country' => '', 'province' => '', 'city' => '', 'timezone' => '', 'domain' => '', 'subdomain' => '' ]), CURLOPT_HTTPHEADER => [ "Content-Type: application/json", "x-api-token: " ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; } ?>

### Go Example

package main

import ( "fmt" "strings" "net/http" "io" )

func main() {

url := "https://staging.terminal3.io/v1/sub_client"

payload := strings.NewReader("{\n "name": "",\n "address_1": "",\n "address_2": "",\n "country": "",\n "province": "",\n "city": "",\n "timezone": "",\n "domain": "",\n "subdomain": ""}\n")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("x-api-token", "") req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close() body, _ := io.ReadAll(res.Body)

fmt.Println(string(body)) }


### Unirest Java Example

HttpResponse response = Unirest.post("https://staging.terminal3.io/v1/sub_client") .header("x-api-token", "") .header("Content-Type", "application/json") .body("{\n "name": "",\n "address_1": "",\n "address_2": "",\n "country": "",\n "province": "",\n "city": "",\n "timezone": "",\n "domain": "",\n "subdomain": ""}") .asString();


### Ruby Example

require 'uri' require 'net/http'

url = URI("https://staging.terminal3.io/v1/sub_client")

http = Net::HTTP.new(url.host, url.port) http.use_ssl = true

request = Net::HTTP::Post.new(url) request["x-api-token"] = '' request["Content-Type"] = 'application/json' request.body = "{\n "name": "",\n "address_1": "",\n "address_2": "",\n "country": "",\n "province": "",\n "city": "",\n "timezone": "",\n "domain": "",\n "subdomain": ""}"

response = http.request(request) puts response.read_body


### Expected Responses

#### Success Response

{ "data": { "client_id": 123, "name": "", "domain": "", "timezone": "", "address_1": "", "address_2": "", "country": "", "province": "", "city": "", "subdomain": "", "from_email_address": "", "esp_token": "", "recaptcha_key": "", "recaptcha_threshold": 123, "recaptcha_enabled": true, "created_at": "", "privacy_link": "" } }


#### Error Response

{ "errors": [ { "code": "", "message": "" } ] }


### Headers

- **x-api-token**: `string`, required
- **x-api-subclient-id**: `string`

### Body Parameters

- **name**: `string`, required, length: 1-70
- **address_1**: `string`, required, length: 1-100
- **address_2**: `string`, required, length: 1-100
- **country**: `string`, minimum length: 1
- **province**: `string`, minimum length: 1
- **city**: `string`, minimum length: 1
- **timezone**: `string`
- **domain**: `string`
- **subdomain**: `string`.